<!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="utf-8">
        <title>CCA Proposal List | Staff Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description">
        <meta content="Coderthemes" name="author">
        <!-- App favicon -->
        <link rel="shortcut icon" href="../img/GCIT_logo.png">

        <!-- third party css -->        
        <link href="../css/vendor/jquery-jvectormap-1.2.2.css" rel="stylesheet" type="text/css">
        <link href="../css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css">
        <link href="../css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css">
        <link href="../css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css">
        <link href="../css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css">
        <!-- third party css end -->

        <!-- App css -->
        <link href="../css/icons.min.css" rel="stylesheet" type="text/css">
        <link href="../css/app.min.css" rel="stylesheet" type="text/css" id="light-style">
        <link href="../css/app-dark.min.css" rel="stylesheet" type="text/css" id="dark-style">


    </head>
    <script>RUB2203012
		setTimeout(() => {
			const box = document.getElementById('box');
			box.style.display = 'none'
			
		}, 3000);
	  </script>
    


    <body class="loading" data-layout-config='{"leftSideBarTheme":"dark","layoutBoxed":false, "leftSidebarCondensed":false, "leftSidebarScrollable":false,"darkMode":false, "showRightSidebarOnStart": true}'>
        <!-- Begin page -->
        <div class="wrapper">
            <!-- ========== Left Sidebar Start ========== -->
            <div class="leftside-menu">

                <!-- LOGO -->
                <a href="./staffDashboard" class="logo text-center logo-light">
                    <span class="logo-lg">
                        <img src="../img/GCIT_logo.png" alt="" height="40">
                    </span>
                    <span class="logo-sm">
                        <img src="../img/GCIT_logo.png" alt="" height="40">
                    </span>
                </a>

                <!-- LOGO -->
                <a href="./staffDashboard" class="logo text-center logo-dark">
                    <span class="logo-lg">
                        <img src="../img/GCIT_logo.png" alt="" height="40">
                    </span>
                    <span class="logo-sm">
                        <img src="../img/GCIT_logo.png" alt="" height="40">
                    </span>
                </a>

                <div class="h-100" id="leftside-menu-container" data-simplebar="">

                    <!--- Sidemenu -->
                    <ul class="side-nav">

                        <li class="side-nav-title side-nav-item">Navigation</li>

                        <li class="side-nav-item">
                            <a data-bs-toggle="collapse" href="#sidebarDashboards" aria-expanded="false" aria-controls="sidebarDashboards" class="side-nav-link">
                                <i class="uil-table"></i>
                                <span class="badge bg-success float-end">2</span>
                                <span> Request List </span>
                            </a>

                            <div class="collapse" id="sidebarDashboards">
                              <ul class="side-nav-second-level">
                                <li>
                                  <a href="./staffDashboard">Event Proposal</a>
                                </li>

                                <li>
                                  <a href="./ccaRequest">CCA Proposal</a>
                                </li>
                              </ul>
                            </div>
                        </li>


                        <li class="side-nav-item">
                            <a href="./UserDetails" class="side-nav-link">
                                <i class="uil-users-alt"></i>
                                <span> User Details </span>
                            </a>
                        </li>

                        <li class="side-nav-item">
                            <a href="./staffabout" class="side-nav-link">
                                <i class="uil-exclamation-circle"></i>
                                <span> About </span>
                            </a>
                        </li>
                      </ul>
                    <!-- End Sidebar -->

                    <div class="clearfix"></div>

                </div>
                <!-- Sidebar -left -->

            </div>
            <!-- Left Sidebar End -->

            <!-- ============================================================== -->
            <!-- Start Page Content here -->
            <!-- ============================================================== -->

            <div class="content-page">
                <div class="content">
                    <!-- Topbar Start -->
                    <div class="navbar-custom">
                        <ul class="list-unstyled topbar-menu float-end mb-0">

                            <li class="dropdown notification-list">
                                <a class="nav-link dropdown-toggle nav-user arrow-none me-0" data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                    <span class="account-user-avatar">
                                        <img src="userImages/<%= user.photo %>" alt="user-image" class="rounded-circle">
                                    </span>
                                    <span>
                                        <span class="account-user-name"><%= user.name%></span>
                                        <span class="account-position">Staff</span>
                                    </span>
                                </a>
                                <div class="dropdown-menu dropdown-menu-end dropdown-menu-animated topbar-dropdown-menu profile-dropdown">
                                    <!-- item-->
                                    <div class=" dropdown-header noti-title">
                                        <h6 class="text-overflow m-0">Welcome !</h6>
                                    </div>

                                    <!-- item-->
                                    <a href="./staffSetting" class="dropdown-item notify-item">
                                        <i class="mdi mdi-account-edit me-1"></i>
                                        <span>Settings</span>
                                    </a>

                                    <!-- item-->
                                    <a href="/logout" class="dropdown-item notify-item">
                                        <i class="mdi mdi-logout me-1"></i>
                                        <span>Logout</span>
                                    </a>
                                </div>
                            </li>
                        </ul>
                        <button class="button-menu-mobile open-left button-collapse">
                            <i class="mdi mdi-menu"></i>
                        </button>

                    </div>
                    <!-- end Topbar -->

                    <!-- Start Content-->
                    <div class="container-fluid">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <h4 class="page-title">Request List</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end page title -->

                        <div class="row">
                            <div class="card">
                              <div class="card-body">
                                
                                <div class="row mt-12">
                                    <div class="col-sm-12">
                                        <div class="text-sm-end">
                                            <button><a href="../img/ccaSample.csv"  class="download-csv" target="_blank"><i class="mdi mdi-download"></i>CSV Sample File</a></button>
                                        </div>
                                    </div> <!-- end col -->
                                </div>
                                <hr>
                                <%
									if(typeof message !== 'undefined'){
									%>
									<h4 id="box" style="color:#359735 ;"><%= message %></h4>
									<%
						
									}
								%>
                                  <table class="table table-centered mb-0">
                                    <!-- <table id="scroll-horizontal-datatable" class="table w-100 nowrap"> -->

                                      <thead>
                                        <tr>
                                          <th>Events Name</th>
                                          <th>Event Proposed Date</th>
                                          <th>Status</th>  
                                          <th>Remarks</th>
                                          
                                          <th>Action</th>  
                                          <th></th>
                                          <th></th>                                      

                                        </tr>
                                      </thead>

                                      <tbody>
                                        <%
                                        if(event.length > 0){
                                            for(let i=0; i<event.length; i++){
                                                let statusColor = "";
                                    
                                                switch(event[i].ccaStatus) {
                                                    case "Pending":
                                                        statusColor = "orange";
                                                        break;
                                                    case "Approved":
                                                        statusColor = "green";
                                                        break;
                                                    case "Rejected":
                                                        statusColor = "red"; 
                                                        break;
                                                    default:
                                                        statusColor = "";
                                                        break;
                                                }
                                                %>
                                                <tr>
                                                    <form method="post" enctype="multipart/form-data">
                                                        <% if (event[i].status==="Approved" ) { %>
                                                        
                                                            <td><%= event[i].eventName %></td>
                                                            <td><%= event[i].datetime%></td>
                                                            <td><span style="color: <%= statusColor %>;"><%= event[i].ccaStatus%></span></td>
                                                            <td><%= event[i].ccaremarks%></td>

                                                        
                                                            <% if (!event[i].cca) { %>
                                                            <td>
                                                                <div class="col-sm-6">                                                
                                                                    <input class="form-control" type="file" id="upload"  name="cca" accept=".csv">
                                                                    <input type="text" hidden class="form-control" id="eventid"  value="<%= event[i]._id%>" name="eventid"/> 


                                                                </div>
                                                                <!-- <label class="form-label" for="customFile">Only excel sheet file</label>
                                                                <input type="file" class="form-control" id="cca" name="cca"/> 
                                                                <input type="text" hidden class="form-control" id="eventid" value="<%= event[i]._id%>" name="eventid"/>  -->
                                                            </td>
                                                            <% } else { %>
                                                            <td>
                                                                <a href="excel/<%=event[i].cca%>" style="color:light blue;" target="_blank"><%=event[i].cca%></a>
                                                            </td>
                                                            
                                                                <% }%>
                                                          
                                                            <td>
                                                                <% if (!event[i].cca) { %>
                                                                    <button type="submit">Submit</button>
                                                                  <% } else { %>
                                                                    <button type="submit" disabled hidden>Romove</button>

                                                                  <% } %>
                                                                <!-- <button type="submit">Submit</button> -->
                                                            </td>
                                                            

                                                            <% } %>

                                                    </form>
                                                    
                                                </tr>
                                                <%
                                            }
                                        }
                                        else{
                                            %>
                                                <tr>
                                                    <td colspan="5">No approved proposal</td>
                                                </tr>
                                            <%
                                        }
                                    %>
                                    
                                      </tbody>
                                    </table>
                                  </div>
                                </div>
                              </div>
                            </div>

                    <!-- container -->

                </div>
                <!-- content -->

                <!-- Footer Start -->
                <footer class="footer">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-6">
                                <script>document.write(new Date().getFullYear())</script> © GCIT
                            </div>
                        </div>
                    </div>
                </footer>
                <!-- end Footer -->

            </div>

            <!-- ============================================================== -->
            <!-- End Page content -->
            <!-- ============================================================== -->


        </div>
        <!-- END wrapper -->

      

        <!-- bundle -->
        <script src="../js/vendor.min.js"></script>
        <script src="../js/app.min.js"></script>

        <!-- third party js -->

        <!-- for table -->
        <script src="../js/vendor/jquery.dataTables.min.js"></script>
        <script src="../js/vendor/dataTables.bootstrap5.js"></script>
        <script src="../js/vendor/dataTables.responsive.min.js"></script>
        <script src="../js/vendor/responsive.bootstrap5.min.js"></script>
        <script src="../js/vendor/dataTables.select.min.js"></script>
        <script src="../js/vendor/dataTables.buttons.min.js"></script>

        <!-- third party js ends -->

        <!-- demo app -->
        <script src="../js/pages/demo.dashboard.js"></script>
        <script src="../js/pages/demo.datatable-init.js"></script>
        <!-- end demo js-->
    </body>
</html>

